# $Revision: 1.10.2.2 $, $Date: 2003/03/13 00:56:41 $
#
# Conditional build:
# _without_tests - do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define	pdir	Class
%define	pnam	Container
Summary:	Class::Container - Glues object frameworks together transparently
Summary(pl):	Class::Container - przezroczyste sklejanie szkieletw obiektw
Name:		perl-%{pdir}-%{pnam}
Version:	0.10
Release:	2
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.005
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-Params-Validate >= 0.18
%endif
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	"perl(Scalar::Util)"

%description
This class facilitates building frameworks of several classes that
inter-operate. It was first designed and built for "HTML::Mason", in
which the Compiler, Lexer, Interpreter, Resolver, Component, Buffer,
and several other objects must create each other transparently, passing
the appropriate parameters to the right class, possibly substituting
their own subclass for any of these objects.

%description -l pl
Ta klasa uatwia tworzenie szkieletu dla rnych, wsppracujcych ze
sob, klas. Pierwotnie bya zaprojektowana i stworzona dla
HTML::Mason, w ktrym Compiler, Lexer, Interpreter, Resolver,
Component, Buffer i kilka innych obiektw musz tworzy inne w sposb
przezroczysty, przekazujc odpowiednie parametry do waciwej klasy,
by moe take podstawiajc swoj wasn podklas za dowolny z tych
obiektw.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
# We do not sleep.
%{__perl} -ni -e 'print unless /sleep/' Makefile.PL

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Class/Container.pm
%{_mandir}/man3/*.3pm*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Class-Container.spec,v $
Revision 1.10.2.2  2003/03/13 00:56:41  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.10.2.1  2003/03/10 16:18:54  ankry
- autoupdated to 0.10

Revision 1.10  2003/02/24 20:37:28  radek
- always...

Revision 1.9  2003/02/24 20:31:51  radek
- use the __perl macro

Revision 1.8  2003/02/19 15:01:59  ankry
- autoupdated to 0.09

Revision 1.7  2003/02/18 15:27:59  ankry
- massive attack: change CPAN URLs

Revision 1.6  2002/08/31 15:58:02  qboosh
- pl summary

Revision 1.5  2002/08/31 12:23:26  radek
- version 0.08, conditional tests, informative summary
STBR

Revision 1.4  2002/07/24 16:47:23  radek
- version 0.07

Revision 1.3  2002/07/15 12:09:21  qboosh
- pl description, cosmetics

Revision 1.2  2002/07/15 11:31:24  ankry
- fixed header

Revision 1.1  2002/07/15 07:41:26  depesz
- spec by Radosaw Zieliski
